﻿/// PrintDocument - Responsible for parsing and storing GCode files

using System;
using System.IO;
using System.Collections;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Repic
{
	public class RepRapDocument
	{
		public string[] GCodes = new string[] {};
		public bool Loaded = false;
		
		public RepRapDocument()
		{
		}

		public void Load(string filename)
		{
			try
			{
				this.GCodes = File.ReadAllLines(filename);
				this.Loaded = true;
			}
			catch (Exception)
			{
				this.GCodes = new string[] {};
				this.Loaded = false;
			}
		}

	}
	
}
