﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;

namespace Repic
{
	public class CursorHelper : IDisposable
	{
		Cursor OriginalCursor;
		Window Window;

		public CursorHelper(Window window, Cursor newCursor)
		{
			this.Window = window;
			this.OriginalCursor = this.Window.Cursor;
			this.Window.Cursor = newCursor;
		}

		public void Dispose()
		{
			this.Window.Cursor = this.OriginalCursor;
		}
	}
}
