﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Repic
{
	public interface IPrinter
	{
		EventHandler Ready { get; set; }

		void Reset();
		bool IsBusy { get; }

		// print commands
		void GoHome(PrintJob job, double? X, double? Y, double? Z);
		void ControlledMove(PrintJob job, ExtrudeData extrudeData);
		void Dwell(PrintJob job, double dwellTime);
	}
}
